Description

On my project, around 8000+ files from statistics, theide is unusable slow on VMWare and VirtualBox both running windows XP,

so slow even checking a fully built app that I had to terminate the application.

On wine, I could build and run, but still very slow.

I've no real machine to test it.

The application uses the OCE bazaar packages and my UppCad Package.

Max

History

#1 - 01/23/2012 03:53 PM - Jan Dolinár

I remember having similar problems in past... The most time was taken by the progress bars when opening theide, there is a lot of repaints. For testing in

virtualized environments, using umk could be a solution (until you need to debug), but fixing the speed of opening would be much better.

#2 - 01/24/2012 09:52 AM - Massimo Del Fedele

Hi Jan,

besides of opening, which is slow but acceptable, the main problem is on building; the time needed (I guess...) to check what needs to be rebuild becomes

too long when project has many files.

I think umk won't solve the problem either, and I need the debugger anyways, otherwise I could pre-compile as libs some parts o my code instead of adding

it as a package.

#3 - 01/27/2012 01:34 PM - Miroslav Fidler

- Status changed from New to Rejected

Speed is OK on real HW, so I guess we are not here to fix VM behaviour...
